<?php

/*
==========================================
 PHP-NUKE: Recruitment Setting module - database table creation
 Version 1.0.1
==========================================
 Copyright (c) 2007
  by Arioch - http://www.black-blades.org

 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/


if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

$module_name = basename(dirname(__FILE__));
include("config.php");
global $db, $user, $cookie, $prefix, $username;
include("header.php");
require_once ("mainfile.php");

	OpenTable();

// Create table needed for recruitment information
	$create_table = "CREATE TABLE IF NOT EXISTS `recruitment` (
		`status` varchar(32) NOT NULL,
		`druid` varchar(32) NOT NULL,
		`hunter` varchar(32) NOT NULL,
		`mage` varchar(32) NOT NULL,
		`paladin` varchar(32) NOT NULL,
		`priest` varchar(32) NOT NULL,
		`rogue` varchar(32) NOT NULL,
		`shaman` varchar(32) NOT NULL,
		`warlock` varchar(32) NOT NULL,
		`warrior` varchar(32) NOT NULL
		) TYPE=MyISAM;";

	$success = 0;

	if($db->sql_query($create_table) or die_quietly($db->error(),'Database Error',basename(__FILE__),__LINE__,$create_table)){
		$success = 1;
	}
	
	if($success == 1){
		echo "<table align=\"center\" width=\"300px\">";
		echo "<tr><td align=\"center\">Table successfully added</td></tr>";
	}

// Populate table with initial data
	$populate_table = "INSERT INTO `recruitment` VALUES ('Open', 'High', 'Closed', 'Closed', 'Closed', 'Closed', 'Closed', 'Closed', 'Closed', 'Closed');";

	if($db->sql_query($populate_table) or die_quietly($db->error(),'Database Error',basename(__FILE__),__LINE__,$populate_table)){
		$success += 1;
	}
	
	if($success == 2){
		echo "<tr><td align=\"center\">Table successfully populated</td></tr>";
		echo "<tr><td align=\"center\">Delete Install_MySQL_Recruitment.php now...</td></tr>";
		echo "</table>";
	}

CloseTable();   
include("footer.php");

?>